Bug 246052 - "Layer > Effects > Drop Shadow > Allow Resizing" is unclear
Summary: "Layer > Effects > Drop Shadow > Allow Resizing" is unclear
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-28 17:33 UTC by Jeffrey
Modified: 2012-05-16 08:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey 2010-07-28 17:33:54 UTC
Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

When I want to add a Drop Shadow to a layor or image, there is a box to "Allow Resizing".  This is unclear if my canvas size is changed (expanded) to fit in my drop shadow, or if the image itself is resized to allow the drop shadow to fit within the current canvas size.

Reproducible: Always

Steps to Reproduce:
Try to add a drop shadow and there is no Tool Tip nor clarification as to what is getting resized, and the Questionmark button doesn't help here.

Actual Results:  
Drop shadow is added but I don't know what was resized.

Expected Results:  
The option should specify what is being resized.

OS: Linux (i686) release 2.6.32-5-686
Compiler: cc

Thanks for Krita and KDE!
Comment 1 Halla Rempt 2011-05-26 22:18:56 UTC
Ack, we need to improve that. Not that I'm not afraid that the drop shadow plugin is broken anyway. Maybe we should remove it altogether, it doesn't really fit in the vision.
Comment 2 Halla Rempt 2012-05-16 08:57:35 UTC
Git commit 23266f1adbef5e82f01833eea6cf58679abef680 by Boudewijn Rempt.
Committed on 16/05/2012 at 10:57.
Pushed by rempt into branch 'master'.

Clarify text for dropshadow plugin

M  +236  -210  krita/plugins/extensions/dropshadow/wdg_dropshadow.ui

http://commits.kde.org/calligra/23266f1adbef5e82f01833eea6cf58679abef680